> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bookings availability

> Get an event booking's availability



## OpenAPI

````yaml get /bookings/availability
openapi: 3.0.0
info:
  version: 1.0.0
  title: Integrations
  description: >-
    To make any API request you have to use (secret, integration_id) given by
    the organization. <br>
servers:
  - url: https://api-alpha.fourvenues.com/integrations
    description: Alpha
  - url: https://api.fourvenues.com/integrations
    description: Production
security:
  - integration_id: []
    secret: []
    xApiKey: []
paths:
  /bookings/availability:
    get:
      tags:
        - Bookings
      description: Get an event booking's availability
      parameters:
        - name: event_id
          in: query
          description: Id of the event
          example: El805n9kh0000g3yw94010m5bNvk6za4
          schema:
            type: string
      responses:
        '200':
          description: HTTP OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/EventBookingAvailability'
                xml:
                  name: main
            application/xml:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/EventBookingAvailability'
                xml:
                  name: main
        '400':
          description: Bad request
        '401':
          description: HTTP Unauthorized
        '404':
          description: HTTP Not Found
components:
  schemas:
    EventBookingAvailability:
      properties:
        _id:
          description: Unique identifier for the booking.
          example: Jm2n1r0ap0000flml5q27d6tlXmHR3uM
          type: string
        slug:
          description: Unique slug for the event.
          example: '1707920571709'
          type: string
        order:
          description: Order of the space.
          example: 3
          type: integer
        name:
          description: Name of the space or zone.
          example: Copia de Terraceeeeeeee
          type: string
        description:
          description: Description of the booking or event.
          example: L | M | X
          type: string
        active:
          description: Indicates whether the booking is active.
          example: true
          type: boolean
        hours:
          description: Available hours for the booking.
          type: array
          items:
            type: object
            properties:
              format:
                description: Time format (HH:mm).
                example: '00:00'
                type: string
              selected:
                description: Indicates if the time slot is selected.
                example: false
                type: boolean
        slugs_types:
          description: List of slug types associated with the booking.
          type: array
          items:
            type: string
            example: '1709119852219'
        spaces:
          description: List of spaces available for the event.
          type: array
          items:
            type: object
            properties:
              _id:
                description: Unique identifier for the space.
                example: '1696325534220'
                type: string
              type:
                description: Type of space.
                example: table
                type: string
              name:
                description: Name of the space.
                example: '19'
                type: string
              bookings:
                description: List of bookings for the space.
                type: array
                items:
                  $ref: '#/components/schemas/EventAvailabilityBooking'
      type: object
    EventAvailabilityBooking:
      properties:
        _id:
          description: Unique ID of the booking.
          example: Zlvknuyd006m7019ydvoyauwwT5dJ0UM
          type: string
        for:
          description: Number of people in the booking.
          example: 1
          type: integer
        code:
          description: Access code (QR) of the booking.
          example: QKOU3RK4A
          type: string
        status:
          description: Status of the booking.
          example: accepted
          type: string
        deposit:
          description: Deposit amount required.
          example: 0
          type: number
        deposit_paid:
          description: Amount of deposit that has been paid.
          example: 0
          type: number
        name:
          description: Name of the person who made the booking.
          example: Jim Carrey
          type: string
        price:
          description: Price of the booking.
          example: 10
          type: number
      type: object
  securitySchemes:
    integration_id:
      type: apiKey
      in: header
      name: integration_id
      description: Identifier of the integration (Auth v1)
    secret:
      type: apiKey
      in: header
      name: secret
      description: Secret of the organization (Auth v1)
    xApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key (Auth v2)

````